<?php

class actionLteWidgetCtypeAjax extends cmsAction {

    public function run(){

		if (!$this->request->isAjax()){ cmsCore::error404(); }
		
		$type = $this->request->get('value');
		
		if (!$type) { cmsCore::error404(); }
		
		if ($type == 'content_types'){
			$tree = $this->model_content->getContentTypes();
			$items = array();
			if ($tree) {
				foreach ($tree as $item) {
					$items['con_' . $item['name']] = $item['title'];
				}
			}
		}
		
		$this->cms_template->renderJSON($items);
		
    }

}
