<?php 
	$bg_class = [];
	if (!empty($widget->class_title)) {
		$bg_class[] = $widget->class_title;
	} else {
		$bg_class[] = 'bg-warning';
	}
	$model = new cmsModel();
	$groups = $model->selectOnly('i.id, i.title')->get('{users}_groups');
	$group = false;
	$group_id = end($user->groups);
	if ($group_id){
		$group = !empty($groups[$group_id]) ? $groups[$group_id]['title'] : false;
	}
?>
<div class="card card-widget widget-user-2">
	<div class="widget-user-header <?php echo implode(' ', $bg_class); ?>">
		<div class="widget-user-image">
			 <?php if($user->avatar){ ?>
                <?php echo html_avatar_image($user->avatar, 'small', $user->nickname); ?>
            <?php } else { ?>
                <?php echo html_avatar_image_empty($user->nickname, 'avatar__inlist'); ?>
            <?php } ?>
		</div>
		<h3 class="widget-user-username"><?php html($user->nickname); ?></h3>
		<h5 class="widget-user-desc"><?php html($group); ?></h5>
	</div>
	<div class="card-footer p-0">
		<?php $this->menu($widget->options['menu'], $widget->options['is_detect'], 'nav flex-column', $widget->options['max_items']); ?>
	</div>
</div>