<?php

class actionLteWidgetCatsAjax extends cmsAction {

    public function run(){

		if (!$this->request->isAjax()){ cmsCore::error404(); }
		
		$ctype_id = $this->request->get('value');
		
		if (!$ctype_id) { cmsCore::error404(); }
		
		$name = substr_replace($ctype_id,'', 0, 4);
		
		$ctype = $this->model_content->getContentType($name, 'name');
		
		if (!$ctype) { cmsCore::error404(); }
		
		$cats = $this->model_content->getCategoriesTree($ctype['name']);
		
		$cats_list = array();
		
		if ($cats){ 
			foreach($cats as $cat){

				if ($cat['ns_level'] > 1){
					$cat['title'] = str_repeat('-', $cat['ns_level']) . ' ' . $cat['title'];
				}

				$cats_list[$cat['id']] = $cat['title'];

			}
		}
		
		$this->cms_template->renderJSON($cats_list);
		
    }

}
