<?php

class actionLteWidgetDatasetsAjax extends cmsAction {

    public function run(){

		if (!$this->request->isAjax()){ cmsCore::error404(); }
		
		$ctype_id = $this->request->get('value');
		
		if (!$ctype_id) { cmsCore::error404(); }
		
		$name = substr_replace($ctype_id,'', 0, 4);
		
		$ctype = $this->model_content->getContentType($name, 'name');
		
		$datasets = $this->model_content->getContentDatasets($ctype['id']);
		
		$list = array();
		
		if ($datasets){		
			$list = array('0' => '') + array_collection_to_list($datasets, 'id', 'title');
		}
		
		$this->cms_template->renderJSON($list);
		
    }

}
