<?php if($url && $title){ ?>
<div class="col-lg-3 col-6 <?php echo $widget->class_wrap ? ltrim($widget->class_wrap, '.') : ''; ?>">
	<div class="small-box <?php html($color); ?>">
		<div class="inner <?php echo $widget->class ? ltrim($widget->class, '.') : ''; ?>">
			<h3><?php html($items); ?></h3>
			<p class="<?php echo $widget->class_title ? ltrim($widget->class_title, '.') : ''; ?>"><?php html($widget->title); ?></p>
		</div>
		<div class="icon">
			<?php 
				if (!empty($icon)) {
					echo '<i class="nav-icon">';
					$icon_params = explode(':', $icon);
					if(!isset($icon_params[1])){ array_unshift($icon_params, 'solid'); }
					html_svg_icon($icon_params[0], $icon_params[1]);
					echo '</i>';
				}
			?>
		</div>
		<a href="<?php echo $url; ?>" class="small-box-footer"><?php html($title); ?> 
			<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-arrow-right-circle-fill" viewBox="0 0 16 16">
				<path d="M8 0a8 8 0 1 1 0 16A8 8 0 0 1 8 0zM4.5 7.5a.5.5 0 0 0 0 1h5.793l-2.147 2.146a.5.5 0 0 0 .708.708l3-3a.5.5 0 0 0 0-.708l-3-3a.5.5 0 1 0-.708.708L10.293 7.5H4.5z"/>
			</svg>
		</a>
	</div>
</div>
<?php } else if(!$url && $title){ ?>
	<div class="col-md-3 col-sm-6 col-12 <?php echo $widget->class_wrap ? ltrim($widget->class_wrap, '.') : ''; ?>">
		<div class="info-box <?php html($color); ?>">
			<span class="info-box-icon">
				<?php 
					if (!empty($icon)) {
						echo '<i class="nav-icon">';
						$icon_params = explode(':', $icon);
						if(!isset($icon_params[1])){ array_unshift($icon_params, 'solid'); }
						html_svg_icon($icon_params[0], $icon_params[1]);
						echo '</i>';
					}
				?>
			</span>
			<div class="info-box-content <?php echo $widget->class ? ltrim($widget->class, '.') : ''; ?>">
				<span class="info-box-text <?php echo $widget->class_title ? ltrim($widget->class_title, '.') : ''; ?>"><?php html($widget->title); ?></span>
				<span class="info-box-number"><?php html($items); ?></span>
				<?php $items = $items * 100 / 30; ?>
				<div class="progress">
					<div class="progress-bar" style="width: <?php html($items); ?>%"></div>
				</div>
				<span class="progress-description"><?php html((int)$items); ?>% <?php html($title); ?></span>
			</div>
		</div>
	</div>
<?php } else { ?>
	<div class="col-md-3 col-sm-6 col-12 <?php echo $widget->class_wrap ? ltrim($widget->class_wrap, '.') : ''; ?>">
		<?php if ($url){ ?><a href="<?php html($url); ?>" class="info-box"><?php } else { ?><div class="info-box"><?php } ?>
			<span class="info-box-icon <?php html($color); ?>">
				<?php 
					if (!empty($icon)) {
						echo '<i class="nav-icon">';
						$icon_params = explode(':', $icon);
						if(!isset($icon_params[1])){ array_unshift($icon_params, 'solid'); }
						html_svg_icon($icon_params[0], $icon_params[1]);
						echo '</i>';
					}
				?>
			</span>
			<div class="info-box-content <?php echo $widget->class ? ltrim($widget->class, '.') : ''; ?>">
				<span class="info-box-text <?php echo $widget->class_title ? ltrim($widget->class_title, '.') : ''; ?>"><?php html($widget->title); ?></span>
				<span class="info-box-number"><?php html($items); ?></span>
			</div>
		<?php if ($url){ ?></a><?php } else { ?></div><?php } ?>
	</div>
<?php } ?>